Bug 856970 - Fedora 17 kickstart tree is not correctly synced
Fedora 17 kickstart tree is not correctly synced
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Lukas Zapletal
Garik Khachikyan
: Triaged
Depends On:
Blocks: 858048
  Show dependency treegraph
 
Reported: 2012-09-13 05:10 EDT by Lukas Zapletal
Modified: 2015-01-04 16:59 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 858048 (view as bug list)
Environment:
Last Closed: 2014-02-18 14:47:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Zapletal 2012-09-13 05:10:20 EDT
Description of problem:

Katello (and CFSE) is not able to sync Fedora 17 kickstart tree, therefore it is not possible to provision Fedora 17 system.

Compare:

http://ftp.linux.cz/pub/linux/fedora-releases/16/Fedora/x86_64/os/.treeinfo

and

http://ftp.linux.cz/pub/linux/fedora-releases/17/Fedora/x86_64/os/.treeinfo

There is a new section there:

[stage2]
mainimage = LiveOS/squashfs.img

And it's the file you report it is missing.

Version-Release number of selected component (if applicable):

pulp-1.1.12-1.fc16.noarch

(reproduced on Katello nightly)

How reproducible:
Everytime.

Steps to Reproduce:
1. In Katello create a custom product and repository and give it an url with 17/Fedora/x86_64/os/.treeinfo
2. Sync the content
3. 
  
Actual results:

[root@ibm-x3650m3-01 ~]# cat /var/lib/pulp/published/ks/ACME_Corporation/Library/custom/fedora-17/f17/.treeinfo
[general]
family = Fedora
timestamp = 1337720130.41
variant = Fedora
version = 17
packagedir = 
arch = x86_64

[stage2]
mainimage = LiveOS/squashfs.img

[images-x86_64]
kernel = images/pxeboot/vmlinuz
initrd = images/pxeboot/initrd.img
boot.iso = images/boot.iso

[images-xen]
kernel = images/pxeboot/vmlinuz
initrd = images/pxeboot/initrd.img

[checksums]
images/boot.iso = sha256:798c9340e8e9b741a905b862eb5f469254f0582143c3c2ab7bf83c6aaa955ecf
images/macboot.img = sha256:d24b852f963bddd80ad5592ffe87bd3476be2b07122c75e7177f6bfcc6df8371
images/efiboot.img = sha256:de87d47a4fcb1a51ef5d41cbe3a268b1102a96a3301de769055815bc3d9b8d89
images/pxeboot/initrd.img = sha256:2125df6b5eeb983edc5aa24096af24c5685935fbb5ff78b93dc32cfc6e23620d
images/pxeboot/vmlinuz = sha256:7d76828777c457bd3b3f6812fceb9ba6aaaf45572a5e4cc7f19d2e674e503f95
repodata/repomd.xml = sha256:bdbf93f3cf5699f3c1535d6274d336d004c860d2b97f1597f176d44131190f92

[root@ibm-x3650m3-01 ~]# find /var/lib/pulp/published/ks/ACME_Corporation/Library/custom/fedora-17/f17/images/               
/var/lib/pulp/published/ks/ACME_Corporation/Library/custom/fedora-17/f17/images/
/var/lib/pulp/published/ks/ACME_Corporation/Library/custom/fedora-17/f17/images/boot.iso
/var/lib/pulp/published/ks/ACME_Corporation/Library/custom/fedora-17/f17/images/macboot.img
/var/lib/pulp/published/ks/ACME_Corporation/Library/custom/fedora-17/f17/images/efiboot.img
/var/lib/pulp/published/ks/ACME_Corporation/Library/custom/fedora-17/f17/images/pxeboot
/var/lib/pulp/published/ks/ACME_Corporation/Library/custom/fedora-17/f17/images/pxeboot/vmlinuz
/var/lib/pulp/published/ks/ACME_Corporation/Library/custom/fedora-17/f17/images/pxeboot/initrd.img

[root@ibm-x3650m3-01 ~]# find /var/lib/pulp/published/ks/ACME_Corporation/Library/custom/fedora-17/f17/LiveOS 
find: `/var/lib/pulp/published/ks/ACME_Corporation/Library/custom/fedora-17/f17/LiveOS': No such file or directory


Expected results:

# find /var/lib/pulp/published/ks/ACME_Corporation/Library/custom/fedora-17/f17/LiveOS 
(valid file)


Additional info:

We will need a fix for Katello and CFSE backports.
Comment 4 Bryan Kearney 2014-02-18 14:47:35 EST
F17 is EOL, and this is an old bug. Prease reopen if you still believe it is an issue.

Note You need to log in before you can comment on or make changes to this bug.